{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 8</title>
<link rel='stylesheet' href="{% static 'story3/css/style.css' %}">
{% endblock meta %}

{% block navbarmenus %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story3:index' %}">Back to Story 3</a>
</li>
{% if user.is_authenticated %}
<li class="nav-item">
    <a class="nav-link" href="{% url 'story9:logout' %}">Logout</a>
</li>
{% endif %}
{% endblock navbarmenus %}

{% block content %}
<div class="main">
    <div class="section-new">
        <div class="section-title">
            <h1 class="section-title-h1">Story 8</h1>
            <div class="underline story8"></div>
        </div>
        <div style="display: grid; grid-template-columns: auto 4.5rem; margin-bottom: 1rem;">
            <input id="searchfield-s8" style="margin-right: .5rem; border-radius: .3rem;" placeholder="Enter keyword">
            <button id="searchbtn-s8" class="story7-btn">Search</button>
        </div>
        <div style="overflow-x: auto;">
            <table style="width: 100%; text-align: center;" class="table-s8">
                <thead>
                    <tr>
                        <th id="th1-s8" style="width: 20%; font-weight: bold;">Title</th>
                        <th id="th2-s8"style="width: 20%; font-weight: bold;">Front Cover</th>
                        <!-- <th style="font-weight: bold;">Description</th> -->
                    </tr>
                </thead>
                <tbody id="result-s8">
    
                </tbody>
            </table>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function() {
        // Load initial data
        var urlStr = "/story8/data?q=JQuery";
        $.ajax({
            url: urlStr,
            success: function(result) {
                var resultTable = $("#result-s8");
                resultTable.empty();

                for (i = 0; i < result.items.length; i++) {
                    var title = result.items[i].volumeInfo.title;
                    var thumb = result.items[i].volumeInfo.imageLinks.smallThumbnail;
                    var desc = result.items[i].volumeInfo.description;

                    if (desc == null) desc = "-";

                    resultTable.append("<tr>" + "<th>" + title + "</th>" + "<th><img src=" + thumb + "></th>");
                }
            }
        });

        // Process search on button click
        $("#searchbtn-s8").click(function() {
            var keyValue = $("#searchfield-s8").val();
            var urlStr = "/story8/data?q=" + keyValue;
            $.ajax({
                url: urlStr,
                success: function(result) {
                    var resultTable = $("#result-s8");
                    resultTable.empty();

                    for (i = 0; i < result.items.length; i++) {
                        var title = result.items[i].volumeInfo.title;
                        var thumb = result.items[i].volumeInfo.imageLinks.smallThumbnail;
                        var desc = result.items[i].volumeInfo.description;

                        if (desc == null) desc = "-";
                        
                        resultTable.append("<tr>" + "<th>" + title + "</th>" + "<th><img src=" + thumb);
                    }
                }
            });
        });


        // Handle enter button press on search field as search button click
        $("#searchfield-s8").keypress(function(e) {
            var key = e.which;
            if (key == 13) {
                $("#searchbtn-s8").click();
                return false;
            }
        });
    });
</script>
{% endblock content %}